from sys import version_info
if version_info < (3,10):
    raise RuntimeError("This library requires Python 3.10 or later to be installed")

from .client import Client
from .exceptions import *
from tomli import load

with open("pyproject.toml", "rb") as pyproject:
    info = load(pyproject)["tool"]["poetry"]

__authors__ = info["authors"]
__license__ = info["license"]
__version__ = info["version"]