class ClientRequestError(Exception):
    """Raises when an error occurs when trying to make a HTTP request"""
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        
class InvalidResponseError(ClientRequestError):
    """Raises when an error occurs when trying to decode the response"""
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        
class ClosedSessionError(Exception):
    """Raises when the client's HTTP session is closed"""
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)